Bug 46776 - SyncEvolution git repos and bug tracking
Summary: SyncEvolution git repos and bug tracking
Status: VERIFIED FIXED
Alias: None
Product: freedesktop.org
Classification: Unclassified
Component: Project Creation Requests (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Tollef Fog Heen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-29 06:30 UTC by Patrick Ohly
Modified: 2012-09-11 07:28 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
XML dump of SyncEvolution bugs in bugs.meego.com (268.84 KB, application/x-bzip)
2012-05-16 01:44 UTC, Patrick Ohly
Details
Additional bugs from bugs.meego.com. (97.92 KB, application/x-gzip)
2012-08-06 10:02 UTC, Patrick Ohly
Details

Description Patrick Ohly 2012-02-29 06:30:44 UTC
As mentioned on the mailing list [1], I would like to move SyncEvolution's git repositories and bug tracking away from MeeGo servers.

Federico Mena Quintero supports that. If that is the consensus (or at least there are no objections), then let's move ahead with the migration.

Please create two git repositories:
- syncevolution
- libsynthesis

The latter one is necessary because upstream doesn't test and release the software on Linux. This is done as part of SyncEvolution.

Please also create a Bugzilla product called "SyncEvolution". Should libsynthesis ever be used outside of SyncEvolution, then a separate product could be created for it, but right now I don't see the need.

Once the product exists, can I add components, platforms, versions, etc. myself or do you need to know about those in advance?

Would you be able to help with importing existing issues from the bugs.meego.com Bugzilla? If not, then would it be okay if I attempted that myself via the Bugzilla web API? I'd test with a local installation first and then create issues in the real bugs.freedesktop.org.

Thanks, Patrick

[1] http://www.mail-archive.com/xdg@lists.freedesktop.org/msg06861.html
Comment 1 Tollef Fog Heen 2012-03-18 13:30:54 UTC
This sounds like a good match.

http://www.freedesktop.org/wiki/NewProject contains the information we need.  Bugzilla isn't very self-service at the moment so we need a list of products, components, etc.  I'd be happy to help how I can with importing bugs from bugs.meego if they can be made available in a format that we can import somehow.  I've never done so, so if you want to take a stab at it, feel free.
Comment 2 Patrick Ohly 2012-03-27 09:02:46 UTC
(In reply to comment #1)
> This sounds like a good match.

Good, then let's move forward with it. I would have replied earlier, but I was deeply involved in code rewrite and wanted to finish that first.

> http://www.freedesktop.org/wiki/NewProject contains the information we need. 
> Bugzilla isn't very self-service at the moment so we need a list of products,
> components, etc.

I'll have a look at that.

> I'd be happy to help how I can with importing bugs from
> bugs.meego if they can be made available in a format that we can import
> somehow.

There is the XML export format for each issue. Here's an example:
https://bugs.meego.com/show_bug.cgi?ctype=xml&id=24893

We'll have to figure out an account mapping. I'm inclined to just map my own account and everyone else to a generic "syncevolution-bugs" pseudo user.

I also wonder whether preserving individual comments would be necessary. I can imagine that copying the initial description and all comments into the new description with some kind of separator (including the initial reporter and date) would be enough.

> I've never done so, so if you want to take a stab at it, feel free.

I have no experience with it either. My concern is that if I screw up when using the web API to create new issues, cleaning up without admin rights might be hard. But I'll have a look.
Comment 3 Tollef Fog Heen 2012-03-27 13:18:30 UTC
How you map the accounts is really up to you, I'll be happy with either (at least as long as the number of commenters is reasonable so people don't get upset about suddenly having an fdo bugzilla user)

Feel free to play with the xmlrpc API, if you screw up, I can always delete the bugs afterwards.
Comment 4 Tollef Fog Heen 2012-04-13 11:49:07 UTC
Poke, have you had a chance to take a look at importing the bugs yet?  Do you need anything from me?
Comment 5 Patrick Ohly 2012-04-14 05:49:28 UTC
(In reply to comment #4)
> Poke, have you had a chance to take a look at importing the bugs yet?  Do you
> need anything from me?

I was away for a week and haven't looked into it yet, but plan to do so next week. Thanks for asking, however, so far I don't need any help.
Comment 6 Patrick Ohly 2012-05-15 07:17:50 UTC
Okay, enough dragging-of-feet, let's do it... ;-)

Please configure an entry for SyncEvolution as follows:

Product: SyncEvolution - PIM Data Synchronization
Product versions: 1.0, 1.0.99.[1-3], 1.1, 1.1.99.[1-3], 1.2, 1.2.99.[1-3], 1.3,
                  1.3.99.[1-3], 1.4
Platform: ---
OS: ---
Priority: High, Medium, Low, ---
Severity: <as usual in Bugzilla: blocker->enhancement>

1.0.99.[1-3] stands for three different versions.
Neither OS nor platform are useful at the moment, please only add --- as placeholder for "unspecified".

Components - comment:
ActiveSync - backend
CalDAV/CardDAV - backend
GTK UI - GTK2 and GTK3 UI
KDE - Akonadi storage + KDE UI
Maemo - storage+UI on Maemo 5 (Fremantle) and older
Harmattan - storage+UI on N9
SyncEvolution - general issues
SyncML - libsynthesis

Default CC for all components:
syncevolution-issues@syncevolution.org (already created)

Default assignee for all components except Maemo/Harmattan:
syncevolution-issues@syncevolution.org

Maemo/Harmattan default assignee:
Ove Kåven = ovek@debian.org (please create if he hasn't registered yet, he agreed to that role)

I'll attach an XML dump for importing later.

Please also prepare two git repositories:
syncevolution - SyncEvolution
libsynthesis - libsynthesis for Linux + SyncEvolution
Comment 7 Patrick Ohly 2012-05-16 01:44:46 UTC
Created attachment 61710 [details]
XML dump of SyncEvolution bugs in bugs.meego.com

The unpacked file can be imported inside the Bugzilla installation with:
  ./importxml.pl -v --product=SyncEvolution syncevolution-bugs.xml

I tried that with a local installation and reduced warnings as much as possible. However, my test installation had different priority/severance/status/resolution values. The XML file should match the values from b.f.d.o, but I am not entirely sure. Please watch for warnings during the import and, if you can, redo the import after fixing the XML file with search/replace.

Such warnings can be fixed manually later, but they remain embedded in the imported bug description, which isn't that nice.

Please attach the final importxml.pl here. I also need it for the old/new bug ID mapping.
Comment 8 Tollef Fog Heen 2012-07-22 20:47:50 UTC
I've done a test import now, I had to map severities High to high, Medium to medium and Low to low as well as mapping --- to medium.  I assume that's ok.

Duplicates will have to be hand-carried over, but you just have five of them, so I assume that's ok?

Please give the final go-ahead and I'll import the bugs into the live DB.
Comment 9 Patrick Ohly 2012-07-23 10:38:18 UTC
(In reply to comment #8)
> I've done a test import now, I had to map severities High to high, Medium to
> medium and Low to low as well as mapping --- to medium.  I assume that's ok.
> 
> Duplicates will have to be hand-carried over, but you just have five of them,
> so I assume that's ok?
> 
> Please give the final go-ahead and I'll import the bugs into the live DB.

Looks good, go go go :-) Please remember to capture a log of the conversion so that I know what I need to clean up.
Comment 10 Tollef Fog Heen 2012-07-29 18:38:44 UTC
Log imported, sent via private email.

Please tell me if you need anything more, and welcome. :-)
Comment 11 Tollef Fog Heen 2012-07-29 18:42:56 UTC
Ok, misconfiguration here on the mail side, but this has now been fixed.
Comment 12 Tollef Fog Heen 2012-07-29 18:43:48 UTC
Ok, misconfiguration here on the mail side, but this has now been fixed.
Comment 13 Patrick Ohly 2012-07-30 11:29:06 UTC
(In reply to comment #10)
> Log imported, sent via private email.
> 
> Please tell me if you need anything more, and welcome. :-)

Thanks a lot. The bug database looks good, but I still need the git repos to complete the move. I need two, perhaps grouped under "SyncEvolution":

- SyncEvolution/syncevolution (or SyncEvolution/SyncEvolution ?)
- SyncEvolution/libsynthesis

I'm undecided about the capitalization, with SyncEvolution/syncevolution slightly favored. The group should use the official, mixed-case spelling. The git repo was traditionally in lower case, to avoid mixed case in the file system when using a minimal "git clone <url>". But in combination it looks ugly.
Comment 14 Patrick Ohly 2012-08-06 10:02:46 UTC
Created attachment 65163 [details]
Additional bugs from bugs.meego.com.

The initial dump was incomplete and missed bugs in non-SyncEvolution components - sorry for that!

Please import this second bug dump like the first one. I've cleaned it up, but haven't checked whether it imports correctly without errors.
Comment 15 Tollef Fog Heen 2012-08-19 18:59:15 UTC
Git repos created and bugzilla dump imported.  Please provide full descriptions for the git repos too, though.
Comment 16 Patrick Ohly 2012-08-23 16:01:39 UTC
(In reply to comment #15)
> Git repos created and bugzilla dump imported.  Please provide full descriptions
> for the git repos too, though.

I could use git to access the new repos, but they don't show up in cgit.freedesktop.org.

Anyway, here are the description:

syncevolution - SyncEvolution synchronizes PIM data via various protocols (SyncML, CalDAV/CardDAV, ActiveSync).

libsynthesis - staging area for patches against upstream Synthesis, often needed for development versions of SyncEvolution
Comment 17 Tollef Fog Heen 2012-09-10 09:10:15 UTC
They should show up once the generate script next runs, and I've updated the description now.
Comment 18 Patrick Ohly 2012-09-11 07:06:25 UTC
(In reply to comment #17)
> They should show up once the generate script next runs, and I've updated the
> description now.

That seems to have failed somehow. cgit.freedesktop.org now shows "freedesktop.org repositories /git/SyncEvolution" with "ConsoleKit" underneath it:

...
Ytstenut
   ytstenut/telepathy-ytstenut	Ytstenut Telepathy wrapper library	root	5 weeks	summarylogtree
   ytstenut/ytstenut-glib	GLib Ytstenut library	root	5 weeks	summarylogtree
   ytstenut/ytstenut-plugins	Ytstenut plugins for Telepathy components	root	5 weeks	summarylogtree
   ytstenut/ytstenut-protocol	Ytstenut protocol	root	19 months	summarylogtree

freedesktop.org repositories /git/SyncEvolution

   ConsoleKit	Console kit for PolicyKit
....
Comment 19 Tollef Fog Heen 2012-09-11 07:16:02 UTC
This has been fixed now, properly.
Comment 20 Patrick Ohly 2012-09-11 07:28:06 UTC
Thanks, works now.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.